/*  
 *  snake3d, a snake game in a 3d world.
 *  Copyright (C) 2005-2006 Yair Yarom
 *  
 *  This program is free software; you can redistribute it and/or modify it under
 *  the terms of the GNU General Public License as published by the Free Software
 *  Foundation; either version 2 of the License, or (at your option) any later
 *  version.
 *  
 *  This program is distributed in the hope that it will be useful, but WITHOUT ANY
 *  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 *  PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License along with
 *  this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 *  Place, Suite 330, Boston, MA 02111-1307 USA
 *  
 *  http://sourceforge.net/projects/worms3d
 *  
 */

#ifndef SERVER_HPP
#define SERVER_HPP

int server(void* data);

void serverSendSnakeConfig(int snake);
void serverSendBoardConfig();
void serverSendStart();
void serverSendStop();
void serverSendTick();
void serverSendChangeDir(int snake, direction dir);
void serverSendInc(int snake);
void serverSendFood();
void serverSendSpeed();
void serverSendReset();
void serverSendFineTune(int snake, unsigned char amount);
void serverSendPause(bool pause);
void serverSendToggleFineTune(bool fineTune);

#endif
